commit:     e9ab4545e391e855677163b462e152cb19e20345
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 23 11:26:33 2026 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Mon Feb 23 11:26:33 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9ab4545

net-ftp/filezilla: add 3.69.6

Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 net-ftp/filezilla/Manifest                |  1 +
 net-ftp/filezilla/filezilla-3.69.6.ebuild | 77 +++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/net-ftp/filezilla/Manifest b/net-ftp/filezilla/Manifest
index b441a3b81f90..f222dfd780bd 100644
--- a/net-ftp/filezilla/Manifest
+++ b/net-ftp/filezilla/Manifest
@@ -1,2 +1,3 @@
 DIST FileZilla_3.69.3_src.tar.xz 4107224 BLAKE2B 
dafda2ab96404870b2557cc32a6c6cd149fa2614951ed450bc33513fcf1269e21a6ec4459b045b83401c94820005a5989747034e5c436748d91f917f54fbd358
 SHA512 
d5adb7d5d1feaba473686c2da4856a1c5acc3dab64f5c6b28f2eecf9e14d9887c7f30f721a2135133a38cd860e38329e898cb5bb3a750091b35dbef4f8cf5d21
 DIST FileZilla_3.69.5_src.tar.xz 4167108 BLAKE2B 
dc3430a9c64720578f78b5bbcfb50775510660472ad98ab5fd1acd460742af7358a37cf029162df8ce395026c6052cb9526d50ed2611c9c01f89df115f63c32e
 SHA512 
ef31535d8c1ca21c37577f30c2960c3cddec35a993d398460f105e2c8cfecb1c517cc092ce4042e4cde49b255afdeb245db1007d88a6bfdc8901afdde991db82
+DIST FileZilla_3.69.6_src.tar.xz 4166148 BLAKE2B 
7e2c229f688879a773f7b45ce530eff00c2fcbac02941a6ee2ff71f1f9ca69a704efaa57a88c2c34548c21ef42427646c2bd6afa50750fea2033f1d9ccd5e6d7
 SHA512 
4986ac95aa510fa4e44584afecb46f352bdf1330a65d37df9919f5a620dc2f1e927a148b564eb93a4a7afdc553c46e0626e54edd6c9953b8a9f0853942426908

diff --git a/net-ftp/filezilla/filezilla-3.69.6.ebuild 
b/net-ftp/filezilla/filezilla-3.69.6.ebuild
new file mode 100644
index 000000000000..c158eb06c5d8
--- /dev/null
+++ b/net-ftp/filezilla/filezilla-3.69.6.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+WX_GTK_VER="3.2-gtk3"
+
+inherit autotools flag-o-matic wxwidgets xdg
+
+MY_PV="${PV/_/-}"
+MY_P="FileZilla_${MY_PV}"
+
+DESCRIPTION="FTP client with lots of useful features and an intuitive 
interface"
+HOMEPAGE="https://filezilla-project.org/";
+# Broken URL behind CDN
+SRC_URI="https://dev.gentoo.org/~dlan/distfiles/${PN}/${MY_P}_src.tar.xz";
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="cpu_flags_x86_sse2 dbus nls test"
+RESTRICT="!test? ( test )"
+
+# pugixml 1.7 minimal dependency is for c++11 proper configuration
+RDEPEND="
+       >=dev-libs/nettle-3.1:=
+       >=dev-db/sqlite-3.7
+       >=dev-libs/boost-1.76.0:=
+       >=dev-libs/libfilezilla-0.51.1:=
+       >=dev-libs/pugixml-1.7
+       >=net-libs/gnutls-3.5.7
+       x11-libs/wxGTK:${WX_GTK_VER}=[X]
+       x11-misc/xdg-utils
+       dbus? ( sys-apps/dbus )"
+DEPEND="${RDEPEND}
+       test? ( >=dev-util/cppunit-1.13.0 )"
+BDEPEND="
+       virtual/pkgconfig
+       >=dev-build/libtool-1.4
+       nls? ( >=sys-devel/gettext-0.11 )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.22.1-debug.patch
+       "${FILESDIR}"/${PN}-3.47.0-metainfo.patch
+       "${FILESDIR}"/${PN}-3.47.0-disable-shellext_conf.patch
+       "${FILESDIR}"/${PN}-3.52.2-slibtool.patch
+       "${FILESDIR}"/${PN}-3.60.1-desktop.patch
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       if use x86 && ! use cpu_flags_x86_sse2; then
+               append-cppflags -D_FORCE_SOFTWARE_SHA
+       fi
+       setup-wxwidgets
+
+       local myeconfargs=(
+               --disable-autoupdatecheck
+               --with-pugixml=system
+               $(use_enable nls locales)
+               $(use_with dbus)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       # no static archives
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to